# exception File Reference

## Detailed Description

This is a Standard C++ Library header.

Definition in file exception.

Go to the source code of this file.

## Namespaces

- namespace __gnu_cxx
- namespace std

## Classes

- class std::bad_exception
- class std::exception
    Base class for all library exceptions. More...

## Typedefs

- typedef void(*) std::terminate_handler ()
- typedef void(*) std::unexpected_handler ()

## Functions

- void __gnu_cxx::__verbose_terminate_handler ()
- terminate_handler std::set_terminate (terminate_handler) throw ()
- unexpected_handler std::set_unexpected (unexpected_handler) throw ()
- void std::terminate () __attribute__((__noreturn__))
- bool std::uncaught_exception () throw ()
- void std::unexpected () __attribute__((__noreturn__))